%define _with_repolib 1
 
# If you want repolib package to be built,
# issue the following: 'rpmbuild --with repolib'
%define with_repolib %{?_with_repolib:1}%{!?_with_repolib:0}
%define without_repolib %{!?_with_repolib:1}%{?_with_repolib:0}

%define version_maj 1
%define version_min 1
%define version_rev 2
%define version_tag SP7
%define version_full %{version_maj}.%{version_min}.%{version_rev}.%{version_tag}

Summary:        JBoss Web Services (SPI)
Name:           jbossws-spi
Version:        %{version_maj}.%{version_min}.%{version_rev}
Release:        5.%{version_tag}.1%{?dist}
Epoch:          0
License:        LGPL
Group:          Development/Java
URL:            http://labs.jboss.com/jbossws/

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
# svn export https://svn.jboss.org/repos/jbossws/spi/tags/jbossws-spi-1.1.2.SP7/
# Exported revision 14895.
# tar czf jbossws-spi-1.1.2.SP7.tar.gz jbossws-spi-1.1.2.SP7
Source0:        %{name}-%{version_full}.tar.gz
Source1:        %{name}-jpp-depmap.xml
Source2:        %{name}-component-info.xml
Patch0:         %{name}-pom.xml.patch

BuildRequires:  jboss-jms-1.1-api
BuildRequires:  maven2
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-source
BuildRequires:  maven2-plugin-release
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-enforcer
BuildRequires:  maven-surefire-maven-plugin
BuildRequires:  maven-surefire-provider-junit
BuildRequires:	codehaus-stax-api
BuildRequires:  dom4j >= 1.6.1
BuildRequires:  glassfish-jaxb
BuildRequires:  glassfish-jaxws
BuildRequires:  gnu-getopt
BuildRequires:  jboss-parent
BuildRequires:  jbossws-parent
BuildRequires:  jboss-microcontainer2
BuildRequires:  jboss-common-core
BuildRequires:  jbossxb2
BuildRequires:  jboss-javaee-poms
BuildRequires:  jboss-ejb-3.0-api
BuildRequires:  jbossws
BuildRequires:	sun-ws-metadata-2.0-api
BuildRequires:  sun-saaj-1.3-api

Requires:  gnu-getopt
Requires:  glassfish-jaxb

%description
JBossWS SPI


%define repodir_root repository.jboss.com
%define repodir_release jboss/%{name}/%{version_full}
%define repodir %{_javadir}/%{repodir_root}/%{repodir_release}-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%if %{with_repolib}
%package	 repolib
Summary:	 Artifacts to be uploaded to a repository library
Group:	Development/Libraries/Java

%description	 repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio
%endif

%prep

sed -i 's/@VERSION@/%{version_full}-brew/g' %{SOURCE2}
tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" %{SOURCE2}

%setup -q -n %{name}-%{version_full}

%patch0 -p0

find . -name "*.jar" -exec rm -f {} \;

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL
mkdir -p ./output/reposave

mvn-jpp \
        -e \
        -Djboss.repository=$(pwd)/repository \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Dmaven2.jpp.depmap.file=%{SOURCE1} \
        -Djboss.local.repository=./output/reposave \
        install 


%install
rm -rf $RPM_BUILD_ROOT

install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 target/%{name}-%{version_full}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version_full}.jar
install -p -m 0644 target/%{name}-%{version_full}-sources.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version_full}-src.jar

pushd $RPM_BUILD_ROOT%{_javadir}
ln -sf %{name}-%{version_full}.jar %{name}.jar
popd

%if %{with_repolib}
    install -d -m 755 $RPM_BUILD_ROOT%{repodir}
    install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
    install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
    install -m 755 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
    install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{repodirsrc}
    install -m 755 %{PATCH0} $RPM_BUILD_ROOT%{repodirsrc}

#    cp -R output/reposave/%{repodir_release}/* $RPM_BUILD_ROOT%{repodir}
    install -p -m 0644 target/%{name}-%{version_full}.jar $RPM_BUILD_ROOT%{repodirlib}/%{name}.jar
    install -p -m 0644 target/%{name}-%{version_full}-sources.jar $RPM_BUILD_ROOT%{repodirlib}/%{name}-sources.jar

       # Clobber the existing component-info.xml with our patched, sed'ed version
    cp --remove-destination %{SOURCE2} $RPM_BUILD_ROOT%{repodir}/component-info.xml

    %{__cp} -a pom.xml $RPM_BUILD_ROOT%{repodirlib}/%{name}.pom
%endif

%add_to_maven_depmap org.jboss.ws jbossws-spi %{version_full} JPP %{name}

%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
%{__cp} -a pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-%{version_full}-src.jar
%{_javadir}/%{name}-%{version_full}.jar
%{_javadir}/%{name}.jar
%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%if %{with_repolib}
%files repolib
%defattr(0644,root,root,0755)
%{repodir}
%endif

%changelog
* Tue Aug 23 2011 Danesh Mondegarian <dmondega@redhat.com> - 0:1.1.2-4.SP7.1
- Upgrade to 1.1.2.SP7
* Tue Mar 22 2011 Yiqiao Wang <yiwang@redhat.com> - 0:1.1.2-4.SP6.1
- Upgrade to 1.1.2.SP6
- Add the line to find and remove any binaries
- Change BR jbossxb >= 1.0.0 to jbossxb2, fix its depmap entry
- Change BR jboss-common to jboss-common-core, fix its depmap entry
- Change BR jboss-microcontainer to jboss-microcontainer2
- Modified jbossws-spi-pom.xml.patch so that it uses jboss-microcontainer2

* Wed May 26 2010 Yiqiao Wang <yiwang@redhat.com> - 0:1.1.2-3.SP4.1
- Upgrade to 1.1.2.SP4
- Add BR:  maven2-plugin-enforcer
- Add BR:  jboss-jms-1.1-api, added its depmap entry. 

* Fri May 07 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.1.2-2.SP1_CP01.3.1
- rebuilt

* Tue Apr 13 2010 Hui Wang <huwang@redhat.com> 0:1.1.2-2.SP1_CP01.3
- Add BR: BuildRequires:  sun-saaj-1.3-api

* Wed Apr 7 2010 Luiz Barreiros <gbarreir@redhat.com> 0:1.1.2-3.SP1_CP01.1
- Rebuild

* Thu Jan 21 2010 Martha Benitez <mbenitez@redhat.com> 0:1.1.2-2.SP1_CP01.1
- Fix Release tag

* Wed Jan 20 2010 Martha Benitez <mbenitez@redhat.com> 0:1.1.2-1.SP1_CP01.1
- Upgrade to 1.1.2.SP1_CP01
- Add BR codehaus-stax11-api, sun-ws-metadata-2.0-api and their depmap entries
- Change to %{version_full} for depmap entry

* Fri Oct 30 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.2-1.SP1.5
- Add R: glassfish-jaxb

* Fri Oct 30 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.2-1.SP1.4
- Add pom to repolib

* Tue Jul 21 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.2-1.SP1.3
- Fix component-info.xml

* Mon Jul 20 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.2-1.SP1.2
- Rebuild with latest jbossws
- Add R: gnu-getop

* Tue Jul 07 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.2-1.SP1.1
- Add maven fragment

* Thu Jun 25 2009 Permaine Cheung <pcheung@redhat.com> 0:1.1.2-1.SP1
- Upgrade to 1.1.2.SP1

* Tue May 12 2009 Fernando Nasser <fnasser@redhat.com> 0:1.0.0-1.GA_CP02.1.ep1
- Upgrade to CP02
- Use jboss-microcontainer package

* Fri Oct 03 2008 Fernando Nasser <fnasser@redhat.com> 0:1.0.0-1.GA_CP01.1.ep1
- Turn on debug symbols

* Fri Oct 03 2008 Fernando Nasser <fnasser@redhat.com> 0:1.0.0-1.GA_CP01.0jpp.ep1
- Upgrade to CP01
- Replace most binary dependencies with the ones from RPMs

* Wed Nov 14 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0-0jpp.ep1.7
- Quick fix to add 'version' and 'tag' attributes to the component-info.xml
  root element.

* Thu Nov 08 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0-0jpp.ep1.6
- Added -brew suffix for repolib

* Thu Nov 08 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0-0jpp.ep1.5
- First /actual/ building version

* Tue Nov 06 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0-0jpp.ep1.4
- Added missing defattr to files list

* Fri Nov 02 2007 Fernando Nasser <fnasser@redhat.com> 0:1.0.0-0jpp.ep1.3
- Add src ZIP to repolib

* Fri Nov 02 2007 Fernando Nasser <fnasser@redhat.com> 0:1.0.0-0jpp.ep1.2
- Build repolib

* Wed Oct 31 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0-0jpp.ep1.1
- Rebuild

* Wed Oct 31 2007 Jon Prindiville <jprindiv@redhat.com> 0:1.0.0.GA-0.1
- First release. Also, Halloween!

